#ifndef TOOLBAR_H_
#define TOOLBAR_H_

#include <msp/gltk/button.h>
#include <msp/gltk/label.h>
#include <msp/gltk/panel.h>

class Toolbar: public Msp::GLtk::Panel
{
public:
	sigc::signal<void, bool> signal_expanded;

private:
	Msp::GLtk::Label *lbl_title;
	Msp::GLtk::Button *btn_expand;
	bool expanded;
protected:
	Msp::GLtk::Panel *pnl_content;

	Toolbar(const std::string &);

public:
	void expand(bool);

private:
	void expand_clicked();
};

#endif
