#ifndef DYNAMICDIALOG_H_
#define DYNAMICDIALOG_H_

#include <msp/gltk/dialog.h>

class UserInterface;

class DynamicDialog: public Msp::GLtk::Dialog
{
public:
	class StateLoader: public Msp::DataFile::ObjectLoader<DynamicDialog>
	{
	public:
		StateLoader(DynamicDialog &);

	private:
		void position(float, float);
	};

protected:
	UserInterface &ui;

	DynamicDialog(UserInterface &);
public:
	virtual ~DynamicDialog();

	virtual void update() { };
	virtual bool save_state(Msp::DataFile::Statement &) const { return false; }
protected:
	void save_position(std::list<Msp::DataFile::Statement> &) const;
};

#endif
