#ifndef LIBR2C2_TRACKCIRCUIT_H_
#define LIBR2C2_TRACKCIRCUIT_H_

#include "sensor.h"

namespace R2C2 {

class Block;

class TrackCircuit: public Sensor
{
private:
	Block &block;

public:
	TrackCircuit(Layout &, Block &);

	virtual void set_address(unsigned);
	virtual Block *get_block() const { return &block; }
};

} // namespace R2C2

#endif
